Skip Menu |
 

This queue is for tickets about the Wx CPAN distribution.

Report information
The Basics
Id: 104298
Status: open
Priority: 0/
Queue: Wx

People
Owner: Nobody in particular
Requestors: shadow_xp0 [...] yahoo.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Wx can't be installed in Ubuntu 14.04
Date: Thu, 7 May 2015 16:31:57 +0000 (UTC)
To: "bug-Wx [...] rt.cpan.org" <bug-Wx [...] rt.cpan.org>
From: Ovidiu Barbu <shadow_xp0 [...] yahoo.com>
Download (untitled) / with headers
text/plain 521b
Hi, I am getting errors trying to install Wx, latest version ( 0.9927 ) using CPAN. Some details about my config.: Ubuntu 14.04 LTS, 64 bit ( Linux 3.13.0-49-generic #83-Ubuntu SMP Fri Apr 10 20:11:33 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux) Perl - v5.18.2Alien::wxWidgets installed properly - v 0.67 I have also tried downloading the module from CPAN and I get the same error when building ( log attached ). Tried re-installing Alien: wxWidgets - no luck after. Let me know if you need more info! Thank you,~ovidiu  
Download outputfile.txt
text/plain 36.7k

Message body is not shown because sender requested not to inline it.

Subject: Re: [rt.cpan.org #104298] Wx can't be installed in Ubuntu 14.04
Date: Thu, 07 May 2015 14:36:14 -0300
To: bug-Wx [...] rt.cpan.org
From: Steve Cookson - gmail <steveco.1959 [...] gmail.com>
Download (untitled) / with headers
text/plain 1.1k
Here is a script that James Lynes and I put together. I think it's on the Wiki. It should have all the dependencies you need. Good luck. Steve On 07/05/15 13:32, Ovidiu Barbu via RT wrote: Show quoted text
> Thu May 07 12:32:16 2015: Request 104298 was acted upon. > Transaction: Ticket created by shadow_xp0@yahoo.com > Queue: Wx > Subject: Wx can't be installed in Ubuntu 14.04 > Broken in: (no value) > Severity: (no value) > Owner: Nobody > Requestors: shadow_xp0@yahoo.com > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=104298 > > > > Hi, > I am getting errors trying to install Wx, latest version ( 0.9927 ) using CPAN. Some details about my config.: > Ubuntu 14.04 LTS, 64 bit ( Linux 3.13.0-49-generic #83-Ubuntu SMP Fri Apr 10 20:11:33 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux) > Perl - v5.18.2Alien::wxWidgets installed properly - v 0.67 > I have also tried downloading the module from CPAN and I get the same error when building ( log attached ). Tried re-installing Alien: wxWidgets - no luck after. > Let me know if you need more info! > > Thank you,~ovidiu > >
Download wxPerl-Installer.sh
application/x-sh 6.7k

Message body not shown because it is not plain text.

CC: wxperl-users <wxperl-users [...] perl.org>
Subject: Re: [rt.cpan.org #104298] Wx can't be installed in Ubuntu 14.04
Date: Thu, 7 May 2015 15:11:12 -0400
To: bug-Wx [...] rt.cpan.org
From: James Lynes <jmlynesjr [...] gmail.com>
Download (untitled) / with headers
text/plain 1.1k
I run Ubuntu 14.04LTS 64 bit on an HP 15 laptop. See the WIKI for the installation script that I used. James On Thu, May 7, 2015 at 12:32 PM, Ovidiu Barbu via RT <bug-Wx@rt.cpan.org> wrote: Show quoted text
> Thu May 07 12:32:16 2015: Request 104298 was acted upon. > Transaction: Ticket created by shadow_xp0@yahoo.com > Queue: Wx > Subject: Wx can't be installed in Ubuntu 14.04 > Broken in: (no value) > Severity: (no value) > Owner: Nobody > Requestors: shadow_xp0@yahoo.com > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=104298 > > > > Hi, > I am getting errors trying to install Wx, latest version ( 0.9927 ) using > CPAN. Some details about my config.: > Ubuntu 14.04 LTS, 64 bit ( Linux 3.13.0-49-generic #83-Ubuntu SMP Fri Apr > 10 20:11:33 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux) > Perl - v5.18.2Alien::wxWidgets installed properly - v 0.67 > I have also tried downloading the module from CPAN and I get the same > error when building ( log attached ). Tried re-installing Alien: wxWidgets > - no luck after. > Let me know if you need more info! > > Thank you,~ovidiu > > >
Subject: Re: [rt.cpan.org #104298] Wx can't be installed in Ubuntu 14.04
Date: Fri, 8 May 2015 22:57:22 +0000 (UTC)
To: "bug-Wx [...] rt.cpan.org" <bug-Wx [...] rt.cpan.org>
From: Ovidiu Barbu <shadow_xp0 [...] yahoo.com>
Download (untitled) / with headers
text/plain 1.7k
Thank you, guys! It worked. Just a few small issues: 1. Install looked stuck at one point. However, the log showed it was waiting me to press Y/N, but was not listing it on the screen. Maybe using "tee" to have the output on the screen and also pipe stdout/stderr, would work better than ">". 2. Needed to install inc::latest, as didn't have the last version 3. Failed some tests because GD.pm, but is working for now Once again, thanks for the help! On Thursday, May 7, 2015 12:11 PM, James Lynes via RT <bug-Wx@rt.cpan.org> wrote: <URL: https://rt.cpan.org/Ticket/Display.html?id=104298 > I run Ubuntu 14.04LTS 64 bit on an HP 15 laptop. See the WIKI for the installation script that I used. James On Thu, May 7, 2015 at 12:32 PM, Ovidiu Barbu via RT <bug-Wx@rt.cpan.org> wrote: Show quoted text
> Thu May 07 12:32:16 2015: Request 104298 was acted upon. > Transaction: Ticket created by shadow_xp0@yahoo.com >        Queue: Wx >      Subject: Wx can't be installed in Ubuntu 14.04 >    Broken in: (no value) >    Severity: (no value) >        Owner: Nobody >  Requestors: shadow_xp0@yahoo.com >      Status: new >  Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=104298 > > > > Hi, > I am getting errors trying to install Wx, latest version ( 0.9927 ) using > CPAN. Some details about my config.: > Ubuntu 14.04 LTS, 64 bit ( Linux 3.13.0-49-generic #83-Ubuntu SMP Fri Apr > 10 20:11:33 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux) > Perl - v5.18.2Alien::wxWidgets installed properly - v 0.67 > I have also tried downloading the module from CPAN and I get the same > error when building ( log attached ). Tried re-installing Alien: wxWidgets > - no luck after. > Let me know if you need more info! > > Thank you,~ovidiu > > >
CC: wxperl-users <wxperl-users [...] perl.org>
Subject: Re: [rt.cpan.org #104298] Wx can't be installed in Ubuntu 14.04
Date: Sat, 9 May 2015 14:24:16 -0400
To: bug-Wx [...] rt.cpan.org
From: James Lynes <jmlynesjr [...] gmail.com>
Download (untitled) / with headers
text/plain 2.6k
Glad you got it working! I had the Y/N issue also. Seems it only happens the first time you run the script. Guess I should add a note about it to the script. I played with many redirection options for the script outputs. Several options are listed in the script header. These did what I needed. YMMV. Good luck with your app. James On Fri, May 8, 2015 at 6:57 PM, Ovidiu Barbu via RT <bug-Wx@rt.cpan.org> wrote: Show quoted text
> Fri May 08 18:57:43 2015: Request 104298 was acted upon. > Transaction: Correspondence added by shadow_xp0@yahoo.com > Queue: Wx > Subject: Re: [rt.cpan.org #104298] Wx can't be installed in Ubuntu > 14.04 > Broken in: (no value) > Severity: (no value) > Owner: Nobody > Requestors: shadow_xp0@yahoo.com > Status: open > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=104298 > > > > Thank you, guys! It worked. Just a few small issues: > 1. Install looked stuck at one point. However, the log showed it was > waiting me to press Y/N, but was not listing it on the screen. Maybe using > "tee" to have the output on the screen and also pipe stdout/stderr, would > work better than ">". > 2. Needed to install inc::latest, as didn't have the last version > 3. Failed some tests because GD.pm, but is working for now > Once again, thanks for the help! > > > On Thursday, May 7, 2015 12:11 PM, James Lynes via RT < > bug-Wx@rt.cpan.org> wrote: > > > <URL: https://rt.cpan.org/Ticket/Display.html?id=104298 > > > I run Ubuntu 14.04LTS 64 bit on an HP 15 laptop. > > See the WIKI for the installation script that I used. > > James > > > On Thu, May 7, 2015 at 12:32 PM, Ovidiu Barbu via RT <bug-Wx@rt.cpan.org> > wrote: >
> > Thu May 07 12:32:16 2015: Request 104298 was acted upon. > > Transaction: Ticket created by shadow_xp0@yahoo.com > > Queue: Wx > > Subject: Wx can't be installed in Ubuntu 14.04 > > Broken in: (no value) > > Severity: (no value) > > Owner: Nobody > > Requestors: shadow_xp0@yahoo.com > > Status: new > > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=104298 > > > > > > > Hi, > > I am getting errors trying to install Wx, latest version ( 0.9927 ) using > > CPAN. Some details about my config.: > > Ubuntu 14.04 LTS, 64 bit ( Linux 3.13.0-49-generic #83-Ubuntu SMP Fri Apr > > 10 20:11:33 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux) > > Perl - v5.18.2Alien::wxWidgets installed properly - v 0.67 > > I have also tried downloading the module from CPAN and I get the same > > error when building ( log attached ). Tried re-installing Alien:
> wxWidgets
> > - no luck after. > > Let me know if you need more info! > > > > Thank you,~ovidiu > > > > > >
> > > > >


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.